## ros-kinetic-pr2-moveit-plugins 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_moveit_plugins)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(catkin COMPONENTS
  moveit_core
  pluginlib
  actionlib
  roscpp
  rosconsole
  urdf
  kdl_parser
  tf
  tf_conversions
  eigen_conversions
  control_msgs
  pr2_mechanism_msgs
  pr2_controllers_msgs
  cmake_modules
  REQUIRED)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED thread)

catkin_package(
  LIBRARIES
  INCLUDE_DIRS
  DEPENDS
    moveit_core
    )

add_compile_options(-std=c++11)

include_directories(pr2_arm_kinematics/include)
include_directories(pr2_moveit_controller_manager/include)
include_directories(pr2_moveit_sensor_manager/include)
#include_directories(pr2_moveit_constraint_sampler/include)


include_directories(SYSTEM ${EIGEN_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
include_directories(${catkin_INCLUDE_DIRS})

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_subdirectory(pr2_arm_kinematics)
add_subdirectory(pr2_moveit_controller_manager)
add_subdirectory(pr2_moveit_sensor_manager)
#add_subdirectory(pr2_moveit_constraint_sampler)

install(
  FILES
    pr2_moveit_kinematics_plugin_description.xml
    pr2_moveit_controller_manager_plugin_description.xml
    pr2_moveit_sensor_manager_plugin_description.xml
#    pr2_moveit_constraint_sampler_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}
    )

=== debian/changelog ===
ros-kinetic-pr2-moveit-plugins (0.7.1-0xenial) xenial; urgency=high

  * use urdf typedefs to stay compatible with boost vs std ptrs
  * Contributors: v4hn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2019 00:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.7.0-0xenial) xenial; urgency=high

  * Maintainer update & order dependencies
  * pluginlib headers migration
  * Migrate to format2
  * Add Bence as maintainer
  * GetKinematicSolverInfo -> KinematicSolverInfo
  * compile with c++11
  * Explicitly convert shared_ptr to bool for c++11 compatibility.
  * Contributors: Bence Magyar, Christian Dornhege, Dave Coleman, Isaac I.Y. Saito, Maarten de Vries, v4hn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.6.4-0xenial) xenial; urgency=high

  * [enhance] Explicitly convert shared_ptr to bool for c++11 compatibility.
  * Contributors: Maarten de Vries

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Jun 2017 23:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.6.3-0xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Jun 2016 23:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.6.2-0xenial) xenial; urgency=high

  * Fix message dependencies.
  * Contributors: Christian Dornhege

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Feb 2016 00:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.6.1-0xenial) xenial; urgency=high

  * update maintainer while debugging build errors
  * add build depend on cmake_modules
  * Contributors: Michael Ferguson

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 16 Jan 2015 00:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.6.0-0xenial) xenial; urgency=high

  * build system fix
  * Fix deprecated class loader call, renamed global variables to have _, cleaned up launch files
  * Contributors: Dave Coleman, Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Jan 2015 00:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.5.7-0xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 Mar 2014 00:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.5.6-0xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.5.5-0xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 03 Jan 2014 00:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.5.4-0xenial) xenial; urgency=high

  * for some reason it seems the Eigen allocator is not called when constructing objects on stack (?); this fixes things for 32bit OS

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Dec 2013 00:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.5.3-0xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 Sep 2013 23:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.5.2-0xenial) xenial; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * fixes to gripper controller

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Aug 2013 23:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.5.1-0xenial) xenial; urgency=high

  * remove hacks for groovy

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 14 Jul 2013 23:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.5.0-0xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 14 Jul 2013 23:00:00 -0000

ros-kinetic-pr2-moveit-plugins (0.4.3-0xenial) xenial; urgency=high

  * white space fixes (tabs are now spaces)
  * adding options struct to kinematics base

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jul 2013 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-moveit-plugins
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-control-msgs, ros-kinetic-eigen-conversions, ros-kinetic-kdl-parser, ros-kinetic-moveit-core, ros-kinetic-pluginlib, ros-kinetic-pr2-controllers-msgs, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-roscpp, ros-kinetic-tf-conversions, ros-kinetic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-moveit-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-angles, ros-kinetic-control-msgs, ros-kinetic-eigen-conversions, ros-kinetic-kdl-parser, ros-kinetic-moveit-core, ros-kinetic-pluginlib, ros-kinetic-pr2-controllers-msgs, ros-kinetic-pr2-mechanism-msgs, ros-kinetic-roscpp, ros-kinetic-tf-conversions, ros-kinetic-urdf
Description: PR2 specific plugins for MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-moveit-plugins//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
